SDL_GetJoystickInstanceGUID(3)

NAME
SDL_GetJoystickInstanceGUID - Get the implementation-dependent GUID of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickGUID SDL_GetJoystickInstanceGUID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the GUID of the selected joystick. If called with an invalid instance_id, this function returns a zero GUID.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickGUID(3), SDL_GetJoystickGUIDString(3)